Bug 736133

Summary: Missing dependency on python-httplib2
Product: [Fedora] Fedora Reporter: Daniel Hokka Zakrisson <daniel>
Component: python-oauth2Assignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 15CC: tcallawa
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-oauth2-1.5.170-2.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-16 01:59:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Daniel Hokka Zakrisson 2011-09-06 19:01:35 UTC
Description of problem:
oauth2 depends on httplib2, but that is not expressed in the RPM.

Version-Release number of selected component (if applicable):
python-oauth2-1.2.1-2.fc15.noarch

How reproducible:
Always

Steps to Reproduce:
1. yum install python-oauth2
2. python -c 'import oauth2'
  
Actual results:
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/oauth2/__init__.py", line 31, in <module>
    import httplib2
ImportError: No module named httplib2

Expected results:
No output.

Comment 1 Fedora Update System 2011-09-07 17:58:03 UTC
python-oauth2-1.2.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-oauth2-1.2.1-3.fc15

Comment 2 Fedora Update System 2011-09-07 17:58:11 UTC
python-oauth2-1.5.170-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-oauth2-1.5.170-2.fc16

Comment 3 Fedora Update System 2011-09-07 17:58:18 UTC
python-oauth2-1.2.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-oauth2-1.2.1-2.fc14

Comment 4 Fedora Update System 2011-09-08 02:24:49 UTC
Package python-oauth2-1.5.170-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-oauth2-1.5.170-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/python-oauth2-1.5.170-2.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-09-16 01:59:13 UTC
python-oauth2-1.2.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-09-16 02:01:33 UTC
python-oauth2-1.2.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-09-30 18:47:28 UTC
python-oauth2-1.5.170-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.